# Uses of Class
org.eclipse.mat.collect.BitField

Packages that use BitField
Package
Description
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).

## Uses of BitField in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal with parameters of type BitField
Modifier and Type
Method
Description
`static SnapshotImpl`
SnapshotImpl.`create(XSnapshotInfo snapshotInfo, String objectReaderUniqueIdentifier, IObjectReader heapObjectReader, HashMapIntObject<ClassImpl> classCache, HashMapIntObject<XGCRootInfo[]> roots, HashMapIntObject<HashMapIntObject<XGCRootInfo[]>> rootsPerThread, BitField arrayObjects, IndexManager indexManager, IProgressListener listener)`
Create the snapshot after a fresh parse.
`void`
SnapshotImplBuilder.`setArrayObjects(BitField arrayObjects)`